# Run workflow via event with profile details

Endpoint: POST /cfmWorkflow/triggerWithNewProfile
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Request fields (application/json):

  - `workflowId` (string, required)
    Active workflow to trigger

  - `contextParams` (object)
    Context params passed as additional information

  - `unifiedProfile` (object)
    Unified profile of the new user

  - `unifiedProfile.id` (string)
    Unique identifier of the unified profile

  - `unifiedProfile.contact` (object)
    Contact Information of the profile.

  - `unifiedProfile.contact.firstName` (string)
    First Name of the profile

  - `unifiedProfile.contact.maidenName` (string)
    Maiden Name of the profile

  - `unifiedProfile.contact.lastName` (string)
    Last Name of the profile

  - `unifiedProfile.contact.fullName` (string)
    Full Name of the profile

  - `unifiedProfile.contact.email` (string)
    Email id of the profile

  - `unifiedProfile.contact.username` (string)
    Username of the profile

  - `unifiedProfile.contact.phoneNo` (string)
    Phone number of the profile

  - `unifiedProfile.contact.address` (object)
    Address of the profile

  - `unifiedProfile.contact.address.street1` (string)
    First line of the user's address

  - `unifiedProfile.contact.address.street2` (string)
    Second line of the user's address

  - `unifiedProfile.contact.address.city` (string)
    The city of the user's address to help identify the location.

  - `unifiedProfile.contact.address.state` (string)
    The state of the user's address.

  - `unifiedProfile.contact.address.country` (string)
    The country of the user's address.

  - `unifiedProfile.contact.address.postalCode` (string)
    ZIP Code of the address

  - `unifiedProfile.contact.website` (array)
    List of websites for the profile

  - `unifiedProfile.contact.phoneDetails` (array)
    phoneDetails for the profile

  - `unifiedProfile.contact.phoneDetails.phoneNo` (string)
    Phone No of the profile

  - `unifiedProfile.contact.phoneDetails.countryCode` (string)
    Country Code of the profile

  - `unifiedProfile.contact.emailDetails` (array)
    emailDetails for the profile

  - `unifiedProfile.contact.emailDetails.email` (string)
    Email id of the profile

  - `unifiedProfile.contact.emailDetails.type` (string)
    type of email

  - `unifiedProfile.demographics` (object)
    Demographic details of the profile.

  - `unifiedProfile.demographics.age` (integer)
    Age of the profile

  - `unifiedProfile.demographics.location` (string)
    Location of the profile

  - `unifiedProfile.demographics.gender` (string)
    Gender of the profile

  - `unifiedProfile.demographics.language` (string)
    Language of the profile

  - `unifiedProfile.demographics.additional` (object)
    Additional demographics

  - `unifiedProfile.works` (array)
    Work history of the profile.

  - `unifiedProfile.works.name` (string)
    Name of a company

  - `unifiedProfile.works.description` (string)
    Description of a company

  - `unifiedProfile.works.title` (string)
    Title of profile in company

  - `unifiedProfile.works.startDate` (string)
    Start date in a company

  - `unifiedProfile.works.endDate` (string)
    End date in a company

  - `unifiedProfile.works.location` (string)
    Location of a company

  - `unifiedProfile.works.department` (string)
    Department of a profile in company

  - `unifiedProfile.profiles` (array)
    List of social identities linked to the profile.

  - `unifiedProfile.profiles.name` (string, required)
    name of the person

  - `unifiedProfile.profiles.channelType` (string, required)
    channel type of the profile. e.g. twitter

  - `unifiedProfile.profiles.channelId` (string, required)
    unique id of the profile on channel

  - `unifiedProfile.profiles.permalink` (string, required)
    link of the profile on social channel

  - `unifiedProfile.profiles.avatarUrl` (string)
    profile image link

  - `unifiedProfile.profiles.profileImageUrl` (string)
    profile image link

  - `unifiedProfile.profiles.coverImageUrl` (string)
    cover image link

  - `unifiedProfile.profiles.bio` (string)
    Detailed description about the user

  - `unifiedProfile.profiles.followers` (integer)
    followers count of the user

  - `unifiedProfile.profiles.following` (integer)
    count of users/pages being followed by this user

  - `unifiedProfile.profiles.username` (string)
    unique identifier of the user

  - `unifiedProfile.profiles.verified` (boolean)
    true if the user is verified by the channel

  - `unifiedProfile.profiles.unSubscribed` (boolean)
    true if the user is subscribed for email and other activities

  - `unifiedProfile.profiles.deleted` (boolean)
    true if profile is deleted natively

  - `unifiedProfile.profiles.snCreatedTime` (integer)
    Social Channel Created Time

  - `unifiedProfile.profiles.snModifiedTime` (integer)
    Social Channel Modified Time

  - `unifiedProfile.profiles.statusCount` (integer)
    Status count for profile

  - `unifiedProfile.profiles.accountSpecificInfos` (array)
    Account Specific Info

  - `unifiedProfile.profiles.accountSpecificInfos.accountId` (integer)

  - `unifiedProfile.profiles.accountSpecificInfos.externalId` (string)

  - `unifiedProfile.profiles.accountSpecificInfos.lastBrandEngagedTime` (integer)

  - `unifiedProfile.profiles.accountSpecificInfos.lastFanEngagedTime` (integer)

  - `unifiedProfile.profiles.accountSpecificInfos.optIn` (boolean)

  - `unifiedProfile.profiles.accountSpecificInfos.fanSubscriptionState` (string)

  - `unifiedProfile.profiles.accountSpecificInfos.activeUser` (boolean)

  - `unifiedProfile.profiles.accountSpecificInfos.invited` (boolean)

  - `unifiedProfile.profiles.additional` (object)
    Additional Info for profile

  - `unifiedProfile.profiles.birthDate` (string)
    Birth Date for profile

  - `unifiedProfile.profiles.url` (string)
    Url for profile

  - `unifiedProfile.profiles.maritalStatus` (string)
    Marital Status for profile

  - `unifiedProfile.profileWorkflow` (object)
    List of social identities linked to the profile.

  - `unifiedProfile.profileWorkflow.profileLists` (array)
    Partner profile lists on the profile, if any.

  - `unifiedProfile.profileWorkflow.customProperties` (object)
    Partner custom properties on the profile, if any.

  - `unifiedProfile.profileWorkflow.profileSpaceWorkflows` (array)
    List of client level workflows on the profile, if any.

  - `unifiedProfile.profileWorkflow.profileSpaceWorkflows.spaceId` (string, required)
    client id

  - `unifiedProfile.profileWorkflow.profileSpaceWorkflows.modifiedTime` (integer)
    Last modified time of the space workflow

  - `unifiedProfile.profileWorkflow.profileSpaceWorkflows.customProperties` (object)
    Client custom properties on the asset, if any.

  - `unifiedProfile.profileWorkflow.profileSpaceWorkflows.queues` (array)
    Client queue details of the message, if any.

  - `unifiedProfile.profileWorkflow.profileSpaceWorkflows.queues.queueId` (integer)
    queue identifier to add the message to queue.

  - `unifiedProfile.profileWorkflow.profileSpaceWorkflows.queues.assignmentTime` (integer)
    assignment time of the queue to the message.

  - `unifiedProfile.profileWorkflow.profileSpaceWorkflows.profileLists` (array)
    Client profile lists on the profile, if any.

  - `unifiedProfile.profileWorkflow.profileSpaceWorkflows.tags` (array)
    Client tags on the profile, if any.

  - `unifiedProfile.createdTime` (integer)
    Created time of the profile in sprinklr.

  - `unifiedProfile.modifiedTime` (integer)
    Last modified time of the profile in sprinklr.

  - `unifiedProfile.organizations` (array)
    Organizations of the profile

  - `unifiedProfile.organizations.description` (string)
    Description of Organization

  - `unifiedProfile.organizations.endMonthYear` (string)
    End Month Year of Organization

  - `unifiedProfile.organizations.name` (string)
    Name of Organization

  - `unifiedProfile.organizations.position` (string)
    Position in Organization

  - `unifiedProfile.organizations.startMonthYear` (string)
    Start Month Year of Organization

  - `unifiedProfile.certificates` (array)
    Certificates of the profile

  - `unifiedProfile.certificates.authority` (string)
    Providing Authority of Certificate

  - `unifiedProfile.certificates.company` (object)
    Company that provided Certificate

  - `unifiedProfile.certificates.endMonthYear` (string)
    End Month Year of Certificate

  - `unifiedProfile.certificates.licenseNumber` (string)
    License Number of Certificate

  - `unifiedProfile.certificates.name` (string)
    Name of Certificate

  - `unifiedProfile.certificates.startMonthYear` (string)
    Start Month Year of Certificate

  - `unifiedProfile.certificates.url` (string)
    URL of Certificate

  - `unifiedProfile.recommendations` (array)
    Recommendations of the profile

  - `unifiedProfile.recommendations.subject` (string)
    Subject of Recommendation

  - `unifiedProfile.recommendations.recommendationText` (string)
    Text of Recommendation

  - `unifiedProfile.recommendations.recommendee` (string)
    Recommendee of Recommendation

  - `unifiedProfile.recommendations.recommender` (string)
    Recommender of Recommendation

  - `unifiedProfile.recommendations.recommenderName` (string)
    Recommender Name of Recommendation

  - `unifiedProfile.recommendations.status` (string)
    Status of Recommendation

  - `unifiedProfile.recommendations.recommendeeEntity` (string)
    Recommendee Entity of Recommendation

  - `unifiedProfile.recommendations.recommendeePosition` (string)
    Recommendee Position of Recommendation

  - `unifiedProfile.recommendations.relationship` (string)
    Relationship with recommender

  - `unifiedProfile.recommendations.relationshipDescription` (string)
    Relationship Description with recommender

  - `unifiedProfile.recommendations.createdTime` (integer)
    Created time of Recommendation

  - `unifiedProfile.recommendations.lastModifiedTime` (integer)
    Last Modified time of Recommendation

  - `unifiedProfile.recommendations.visibilityForRecommender` (string)
    Visibility For Recommender

  - `unifiedProfile.educations` (array)
    Educations of the profile

  - `unifiedProfile.educations.name` (string)
    Name of a Education Institution

  - `unifiedProfile.educations.type` (string)
    Type of a Education

  - `unifiedProfile.educations.year` (string)
    Passing year

  - `unifiedProfile.educations.startMonthYear` (string)
    Start time of Education

  - `unifiedProfile.educations.grade` (string)
    Grade Achieved

  - `unifiedProfile.educations.notes` (string)
    Some extra notes

  - `unifiedProfile.educations.activities` (string)
    Activities performed while Education

  - `unifiedProfile.educations.fieldsOfStudy` (string)
    Study fields of Education

  - `unifiedProfile.languages` (array)
    Languages of the profile

  - `unifiedProfile.languages.name` (string)
    Name of Language

  - `unifiedProfile.languages.proficiency` (string)
    Proficiency in Language

  - `unifiedProfile.skills` (array)
    Skills of the profile

  - `unifiedProfile.skills.label` (string)
    Label for Skill

  - `unifiedProfile.courses` (array)
    Courses of the profile

  - `unifiedProfile.courses.name` (string)
    Name of course

  - `unifiedProfile.courses.number` (string)
    Number in course

  - `unifiedProfile.honors` (array)
    Honors of the profile

  - `unifiedProfile.honors.description` (string)
    Description of Honors

  - `unifiedProfile.honors.issueDate` (string)
    Issue Date of Honors

  - `unifiedProfile.honors.issuer` (string)
    Issuer of Honors

  - `unifiedProfile.honors.title` (string)
    Title of Honors

  - `unifiedProfile.patents` (array)
    Patents of the profile

  - `unifiedProfile.patents.applicationNumber` (string)
    Application Number of Patent

  - `unifiedProfile.patents.description` (string)
    Description of Patent

  - `unifiedProfile.patents.filingDate` (string)
    Filing date of Patent

  - `unifiedProfile.patents.issueDate` (string)
    Issue date of Patent

  - `unifiedProfile.patents.issuer` (string)
    Issuer of Patent

  - `unifiedProfile.patents.title` (string)
    Title of Patent

  - `unifiedProfile.patents.url` (string)
    URL of Patent

  - `unifiedProfile.projects` (array)
    Projects of the profile

  - `unifiedProfile.projects.description` (string)
    Description of project

  - `unifiedProfile.projects.endMonthYear` (string)
    End Month Year of project

  - `unifiedProfile.projects.singleDate` (string)
    Description of project

  - `unifiedProfile.projects.startMonthYear` (string)
    Single date of project

  - `unifiedProfile.projects.title` (string)
    Start Month Year of project

  - `unifiedProfile.projects.url` (string)
    URL of project

  - `unifiedProfile.publications` (array)
    Publications of the profile

  - `unifiedProfile.publications.date` (string)
    Date of publication

  - `unifiedProfile.publications.description` (string)
    Description of publication

  - `unifiedProfile.publications.name` (string)
    Name of publication

  - `unifiedProfile.publications.publisher` (string)
    Publisher of publication

  - `unifiedProfile.publications.url` (string)
    URL of publication

  - `unifiedProfile.testScores` (array)
    Test scores of the profile

  - `unifiedProfile.testScores.date` (string)
    Date of Score

  - `unifiedProfile.testScores.description` (string)
    Description of Score

  - `unifiedProfile.testScores.name` (string)
    Name of Score

  - `unifiedProfile.testScores.score` (string)
    Score for Profile

  - `unifiedProfile.voluntaryExp` (array)
    Voluntary Experience of the profile

  - `unifiedProfile.voluntaryExp.cause` (string)
    Cause of Voluntary Experience

  - `unifiedProfile.voluntaryExp.companyName` (string)
    Company Name of Voluntary Experience

  - `unifiedProfile.voluntaryExp.description` (string)
    Cause of Voluntary Experience

  - `unifiedProfile.voluntaryExp.endMonthYear` (string)
    End Month Year of Voluntary Experience

  - `unifiedProfile.voluntaryExp.role` (string)
    Role of Voluntary Experience

  - `unifiedProfile.voluntaryExp.singleDate` (string)
    Single Date of Voluntary Experience

  - `unifiedProfile.voluntaryExp.startMonthYear` (string)
    Start Month Year of Voluntary Experience

  - `unifiedProfile.operatingHours` (object)
    Operating Hours of the profile

  - `unifiedProfile.operatingHours.regularHours` (array)
    Regular Hours of the Operating Hours

  - `unifiedProfile.operatingHours.regularHours.startDate` (integer)
    Start Date of the Time Period

  - `unifiedProfile.operatingHours.regularHours.endDate` (integer)
    End Date of the Time Period

  - `unifiedProfile.operatingHours.regularHours.openDay` (string)
    Open day of the Time Period

  - `unifiedProfile.operatingHours.regularHours.openTime` (string)
    Open time of the Time Period

  - `unifiedProfile.operatingHours.regularHours.closeDay` (string)
    Close day of the Time Period

  - `unifiedProfile.operatingHours.regularHours.closeTime` (string)
    Close time of the Time Period

  - `unifiedProfile.operatingHours.regularHours.closed` (boolean)
    is Closed for Time Period

  - `unifiedProfile.operatingHours.specialHours` (array)
    Special Hours of the Operating Hours

  - `unifiedProfile.customPropertiesMetadata` (array)
    Custom Property details

  - `unifiedProfile.customPropertiesMetadata.fieldName` (string)
    CustomField fieldName

  - `unifiedProfile.customPropertiesMetadata.type` (string)
    CustomField type

  - `unifiedProfile.customPropertiesMetadata.label` (string)
    CustomField label

  - `unifiedProfile.customPropertiesMetadata.clientCustomProperty` (boolean)
    Client CustomField

  - `unifiedProfile.customPropertiesMetadata.values` (array)
    Custom Field values

  - `unifiedProfile.restricted` (boolean)
    Profile Masked Flag

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

